OpenTTD Source: AirportTileSpec Struct Reference

OpenTTD Source 15.3

Static Public Member Functions | Data Fields | Static Private Attributes | Friends
AirportTileSpec Struct Reference

Defines the data structure of each individual tile of an airport. More...

`#include <newgrf_airporttiles.h>`

## Static Public Member Functions
static const AirportTileSpec * | Get (StationGfx gfx)
| Retrieve airport tile spec for the given airport tile.
static const AirportTileSpec * | GetByTile (TileIndex tile)
| Retrieve airport tile spec for the given airport tile.
static void | ResetAirportTiles ()
| This function initializes the tile array of AirportTileSpec.

## Data Fields
AnimationInfo< AirportAnimationTriggers > | animation
| Information about the animation.
StringID | name
| Tile Subname string, land information on this tile will give you "AirportName (TileSubname)".
AirportTileCallbackMasks | callback_mask
| Bitmask telling which grf callback is set.
uint8_t | animation_special_flags
| Extra flags to influence the animation.
bool | enabled
| entity still available (by default true). newgrf can disable it, though
SubstituteGRFFileProps | grf_prop
| properties related the the grf file
std::vector< BadgeID > | badges

## Static Private Attributes
static AirportTileSpec | tiles [NUM_AIRPORTTILES]

## Friends
void | AirportTileOverrideManager::SetEntitySpec (AirportTileSpec &&airpts)

## Detailed Description

Defines the data structure of each individual tile of an airport.

Definition at line 70 of file newgrf_airporttiles.h.

## Member Function Documentation

## ◆ Get()

const AirportTileSpec * AirportTileSpec::Get | ( | StationGfx | gfx | ) |
| static

Retrieve airport tile spec for the given airport tile.

Parameters

  gfx | index of airport tile

Returns
  A pointer to the corresponding AirportTileSpec

Definition at line 39 of file newgrf_airporttiles.cpp.

References lengthof.

Referenced by CmdBuildAirport(), GetAirportTileIDAtOffset(), NIHAirportTile::GetBadges(), GetByTile(), NIHAirportTile::GetGRFID(), NIHAirportTile::GetSpec(), GetTranslatedAirportTileID(), and NIHAirportTile::IsInspectable().

## ◆ GetByTile()

const AirportTileSpec * AirportTileSpec::GetByTile | ( | TileIndex | tile | ) |
| static

Retrieve airport tile spec for the given airport tile.

Parameters

  tile | The airport tile.

Returns
  A pointer to the corresponding AirportTileSpec.

Definition at line 52 of file newgrf_airporttiles.cpp.

References Get(), and GetAirportGfx().

Referenced by NIHAirportTile::Resolve().

## ◆ ResetAirportTiles()

void AirportTileSpec::ResetAirportTiles | ( |  | ) |
| static

This function initializes the tile array of AirportTileSpec.

Definition at line 60 of file newgrf_airporttiles.cpp.

References _origin_airporttile_specs, and OverrideManagerBase::ResetOverride().

Referenced by ResetNewGRFData().

## Field Documentation

## ◆ animation

AnimationInfo<AirportAnimationTriggers> AirportTileSpec::animation

Information about the animation.

Definition at line 71 of file newgrf_airporttiles.h.

Referenced by CmdBuildAirport().

## ◆ animation_special_flags

uint8_t AirportTileSpec::animation_special_flags

Extra flags to influence the animation.

Definition at line 74 of file newgrf_airporttiles.h.

## ◆ badges

std::vector<BadgeID> AirportTileSpec::badges

Definition at line 77 of file newgrf_airporttiles.h.

## ◆ callback_mask

AirportTileCallbackMasks AirportTileSpec::callback_mask

Bitmask telling which grf callback is set.

Definition at line 73 of file newgrf_airporttiles.h.

## ◆ enabled

bool AirportTileSpec::enabled

entity still available (by default true). newgrf can disable it, though

Definition at line 75 of file newgrf_airporttiles.h.

## ◆ grf_prop

SubstituteGRFFileProps AirportTileSpec::grf_prop

properties related the the grf file

Definition at line 76 of file newgrf_airporttiles.h.

Referenced by AirportTileResolverObject::AirportTileResolverObject(), GetAirportTileIDAtOffset(), AirportTileResolverObject::GetDebugID(), NIHAirportTile::GetGRFID(), GetTranslatedAirportTileID(), and NIHAirportTile::IsInspectable().

## ◆ name

StringID AirportTileSpec::name

Tile Subname string, land information on this tile will give you "AirportName (TileSubname)".

Definition at line 72 of file newgrf_airporttiles.h.

## ◆ tiles

AirportTileSpec AirportTileSpec::tiles
| staticprivate

Definition at line 85 of file newgrf_airporttiles.h.

The documentation for this struct was generated from the following files:

- src/newgrf_airporttiles.h
- src/newgrf_airporttiles.cpp